Documentation · API reference
POST/api/v1/me/password

Post password

What to send

PasswordChange

current
string
new
stringneeded

The answer

Status 204

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/me/password \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"new": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/me/password", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"new": "…"}),
}).then((r) => r.json());